package com.ruoyi.powerdistribution.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 检修计划全流程管理对象 pdm_maintenance_process
 *
 * @author ruoyi
 * @date 2024-12-05
 */
@Data
public class PdmMaintenanceProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 月计划编号 */
    @Excel(name = "月计划编号")
    private String planCode;

    /** 周计划编号 */
    //@Excel(name = "周计划编号")
    private String planCodeW;

    /** 月计划停电设备数 */
    @Excel(name = "月计划停电设备数")
    private Long powerOutageDevices;

    /** 月计划时户数 */
    @Excel(name = "月计划时户数")
    private Long perHourHouseholdsM;

    /** 周计划时户数 */
    @Excel(name = "周计划时户数")
    private Long perHourHouseholdsW;

    /** 所属市公司 */
    @Excel(name = "所属市公司")
    private String city;

    /** 所属县公司 */
    @Excel(name = "所属县公司")
    private String county;

    /** 所属供电所 */
    @Excel(name = "所属供电所")
    private String station;

    /** 线路编号 */
    @Excel(name = "线路编号")
    private String lineCode;

    /** 线路名称 */
    @Excel(name = "线路名称")
    private String lineName;

    /** 人工计划时户数 */
    @Excel(name = "人工计划时户数")
    private Long perHourHouseholdsArtif;

    /** 申报单位 */
    @Excel(name = "申报单位")
    private String declarAgency;

    /** 是否需要上传检修方案0-不需要，1-需要,2-已上传 */
    @Excel(name = "是否需要上传检修方案0-不需要，1-需要,2-已上传")
    private String isMaintenance;

    /** 是否需要审批0-不需要，1-需要，2-已上传 */
    @Excel(name = "是否需要审批0-不需要，1-需要，2-已上传")
    private String isApprove;

    /** 检修方案地址 */
    @Excel(name = "检修方案地址")
    private String maintenanceFilePath;

    /** 审批方案地址 */
    @Excel(name = "审批方案地址")
    private String approveFilePath;

    private String maintenanceFileName;

    private String approveFileName;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("planCode", getPlanCode())
            .append("powerOutageDevices", getPowerOutageDevices())
            .append("perHourHouseholdsM", getPerHourHouseholdsM())
            .append("perHourHouseholdsW", getPerHourHouseholdsW())
            .append("city", getCity())
            .append("county", getCounty())
            .append("station", getStation())
            .append("lineCode", getLineCode())
            .append("lineName", getLineName())
            .append("perHourHouseholdsArtif", getPerHourHouseholdsArtif())
            .append(" declarAgency", getDeclarAgency())
            .append("isMaintenance", getIsMaintenance())
            .append("isApprove", getIsApprove())
            .append("maintenanceFilePath", getMaintenanceFilePath())
            .append("approveFilePath", getApproveFilePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
